/*
 Theme Name:   Bricks Child Theme
 Theme URI:    https://bricksbuilder.io/
 Description:  Use this child theme to extend Bricks.
 Author:       Bricks
 Author URI:   https://bricksbuilder.io/
 Template:     bricks
 Version:      1.0
 Text Domain:  bricks
*/

/*body.bricks-is-frontend :focus {
    outline: none;
}*/
:root {
  box-sizing: border-box;
  -webkit-text-size-adjust: none;
  text-size-adjust: none;
  position: relative;
  font-family: system-ui, "Apple Color Emoji", "Segoe UI Emoji",
    "Segoe UI Symbol", "Noto Color Emoji";
  min-height: 100%;
}

html{
    scroll-behavior: initial;
  -moz-text-size-adjust: none;
    }

html,
body {
    min-height: 100%;
    height: 100%;
}

body {
    background: #181817 !important;
    min-height: 100vh;
    overflow-x: hidden;
    overflow-y: scroll;
}

a,
label {
    -webkit-tap-highlight-color: transparent;
}

input[type=text],
input[type=submit],
textarea {
    -webkit-appearance: none;
}

button,
[type="button"],
[type="reset"],
[type="submit"] {
    -webkit-appearance: button;
}

main {
    display: block;
}

.heading_btn {
    cursor: pointer;
}

span.size {
    font-size: 40px;
}

/*GRID Home*/
.box_advantage_1,
.box_advantage_2,
.box_advantage_3,
.box_advantage_4,
.box_advantage_5,
.box_advantage_6 {
    cursor: auto;
    overflow: hidden;
}

.overlay {
    transition: 0.5s ease-in-out all;
    background-color: #181817;
    color: #af9f8e;
}

.box_advantage_1:hover .overlay,
.box_advantage_2:hover .overlay,
.box_advantage_3:hover .overlay,
.box_advantage_4:hover .overlay,
.box_advantage_5:hover .overlay,
.box_advantage_6:hover .overlay {
    opacity: 0;
}

.text_overlay {
    position: absolute;
    color: #d6c9bb;
    opacity: 1;
    -webkit-transition: 0.5s ease-in-out all;
    transition: 0.5s ease-in-out all;
}

.box_advantage_1:hover .text_overlay,
.box_advantage_2:hover .text_overlay,
.box_advantage_3:hover .text_overlay,
.box_advantage_4:hover .text_overlay,
.box_advantage_5:hover .text_overlay,
.box_advantage_6:hover .text_overlay {
    /* color: #0D0D0C; */
    color: #ECE6E0;
    opacity: 1;
}

/*home grid*/
.box_advantage_1:hover .text_overlay_grid,
.box_advantage_2:hover .text_overlay_grid,
.box_advantage_3:hover .text_overlay_grid,
.box_advantage_4:hover .text_overlay_grid,
.box_advantage_5:hover .text_overlay_grid,
.box_advantage_6:hover .text_overlay_grid {
    /* color: #0D0D0C; */
    color: #ECE6E0;
    opacity: 1;
}

/*End home grid*/
.img_overlay {
    display: block;
    width: 100%;
    height: auto;
}

.spa-list .spa-list-item:last-child {
    border-bottom: 1px solid #927765;
}



/*Animation pages Residenc heading text*/
/*
.title_1 {
    animation: ani1 5000ms infinite;

}

.title_2 {
    animation: ani2 5000ms infinite;

}

.title_3 {
    animation: ani3 5000ms infinite;

}

@keyframes ani1 {
    0% {
        opacity: 0;
    }

    15% {
        opacity: 1;
    }

    30% {
        opacity: 0;
    }
}

@keyframes ani2 {
    30% {
        opacity: 0;
    }

    45% {
        opacity: 1;
    }

    60% {
        opacity: 0;
    }
}

@keyframes ani3 {
    60% {
        opacity: 0;
    }

    75% {
        opacity: 1;
    }

    90% {
        opacity: 0;
    }
}
*/
/*END Animation pages Residenc heading text*/
.brxe-nav-menu .bricks-mobile-menu-wrapper ul.bricks-mobile-menu {
    padding-top: 50px;
}

.split_01,
.split_02,
.split_03,
.split_04,
.split_05,
.split_06 {
    overflow: hidden;
}

/*Nav*/

#nav-sticky .bricks-nav-menu {
    gap: 16px;
}

#brx-header.sticky.slide-up {
    -webkit-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
}

/*END NAV*/

/*Hover_section*/

.box1 img,
.box2 img,
.box3 img,
.box4 img,
.box5 img,
.box6 img {
    visibility: hidden;
    left: 0;
    top: auto;
    bottom: 120%;
    width: 0;
    z-index: 1;
    position: absolute;
    transition: all 0.8s ease-in-out;
    /*transform: scale(0.5);*/
    opacity: 0;
}

/*hover*/
.box1:hover img,
.box2:hover img,
.box3:hover img,
.box4:hover img,
.box5:hover img,
.box6:hover img {
    visibility: visible;
    /*transform: scale(1);*/
    opacity: 1;
    width: 100%;
}

/*END Hover Section*/

/*Nav Active link header*/
#nav-sticky .bricks-nav-menu > .current-menu-item > a::before {
    position: absolute;
    content: "";
    top: 50%;
    transform: translate(0%, -100%);
    left: -8px;
    width: 4px;
    height: 4px;
    background: #F7F5F2;
}

#nav-sticky .bricks-nav-menu > .current-menu-item > a {
    margin-left: 8px;
    -webkit-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
}

/*End Nav link active*/

#modal-1 {
    -webkit-min-height: 100%;
    min-height: 100%;
    height: auto;
}

#modal_2 {
    -webkit-min-height: 100%;
    min-height: 100%;
    height: auto;
}

/*MEDIA______________________________________*/

@media (max-width: 768px) {
    input#ff_4_names_first_name_.ff-el-form-control:nth-child(1) {
        padding-top: 0px !important;
    }

    /*menu*/
    .brxe-nav-menu .bricks-mobile-menu-toggle span {
        background-color: #F7F5F2;
    }
}

/*MEDIA 480______________________________________*/

@media (max-width:480px) {
    #brx-header.sticky.slide-up {

        overflow-x: visible !important;
        transform: none !important;
    }

    .brxe-bu-ff-styler .fluentform .ff-el-group.ff_submit_btn_wrapper {
        margin-top: 0px !important;
    }

    input#ff_4_email.ff-el-form-control .email_element {
        padding-top: 40px !important;
    }
}